> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Pool Total Claims

> Returns combined total claimed fees and rewards for a wallet in a specific pool



## OpenAPI

````yaml /developer-guides/dlmm/api-reference/openapi.json get /wallets/{wallet}/pools/{pool_address}/total_claims
openapi: 3.1.0
info:
  title: DLMM API
  description: >-
    Indexed DLMM data for pools, portfolios, positions, limit orders, wallets,
    and protocol stats.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://dlmm.datapi.meteora.ag
    description: Production
  - url: https://dlmm.dev.metdev.io
    description: Development
security: []
paths:
  /wallets/{wallet}/pools/{pool_address}/total_claims:
    get:
      tags:
        - Wallets
      summary: Get Wallet Pool Total Claims
      description: >-
        Returns combined total claimed fees and rewards for a wallet in a
        specific pool
      operationId: Get Wallet Pool Total Claims
      parameters:
        - name: wallet
          in: path
          description: Base58-encoded wallet address
          required: true
          schema:
            type: string
        - name: pool_address
          in: path
          description: Base58-encoded pool address
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletTotalClaimsResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetWalletTotalClaimsResponse:
      type: object
      required:
        - pool_address
        - user_address
        - total_fee_x
        - total_fee_y
        - total_fee_x_usd
        - total_fee_y_usd
        - total_fee_x_sol
        - total_fee_y_sol
        - fee_claim_count
        - total_reward_x
        - total_reward_x_usd
        - total_reward_y
        - total_reward_y_usd
        - total_reward_x_sol
        - total_reward_y_sol
        - reward_claim_count
        - total_claims_usd
        - total_claims_sol
      properties:
        fee_claim_count:
          type: integer
          format: int64
          minimum: 0
        last_fee_claim_time:
          type:
            - string
            - 'null'
          format: date-time
          example: '2024-01-15T12:00:00Z'
        last_reward_claim_time:
          type:
            - string
            - 'null'
          format: date-time
          example: '2024-01-15T12:00:00Z'
        pool_address:
          type: string
        reward_claim_count:
          type: integer
          format: int64
          minimum: 0
        total_claims_sol:
          type: string
        total_claims_usd:
          type: string
        total_fee_x:
          type: string
        total_fee_x_sol:
          type: string
        total_fee_x_usd:
          type: string
        total_fee_y:
          type: string
        total_fee_y_sol:
          type: string
        total_fee_y_usd:
          type: string
        total_reward_x:
          type: string
        total_reward_x_sol:
          type: string
        total_reward_x_usd:
          type: string
        total_reward_y:
          type: string
        total_reward_y_sol:
          type: string
        total_reward_y_usd:
          type: string
        user_address:
          type: string
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string

````